# MicroDropBots

This mod adds [Defensive Microbots][] as a regular item that can be found in the game world. With this mod, the item can be found in chests and the last Cell Vent, purchased from cauldrons, and selected with Artifact of Command. Captain will continue to spawn with it by default.

Defensive Microbots will *not* be given to monsters (it is given the `AIBlacklist` tag), as that would make it basically impossible to kill those monsters with certain survivors.

**Network compatibility:** In multiplayer, only the host needs the mod.

### Patch notes

v1.1.0 - *Survivors of the Void*

* Depend on `RoR2.dll` instead of `Assembly-CSharp.dll`.
* Remove unnecessary dependency on `UnityEngine.Networking.dll`, which seems to be gone.
* Update dependency versions in manifest.

v1.0.2

* Rework mod to get rid of the direct `MMHOOK_Assembly-CSharp` dependency. Uses a plain Harmony patcher instead.

v1.0.1

* No changes. Something went wrong when uploading v1.0.0 and the mod cannot be found in the mod manager; maybe a republish will help.

v1.0.0

* Initial version.

## Support

If the mod fails to work, you can [open a GitHub issue][issue]. You can also contact me on Discord at Arimah#0001. I am _not_ in any Risk of Rain modding community.

## Installation

Use a mod manager such as [Thunderstore Mod Manager][r2mm] or copy `MicroDropBots.dll` to your plugins folder.

## License

The mod is licensed under the MIT license. Please see the license text for the full terms.

[Defensive Microbots]: https://riskofrain2.fandom.com/wiki/Defensive_Microbots
[issue]: https://github.com/arimah/MicroDropBots/issues/new
[r2mm]: https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager
